Pod::Spec.new do |s|
  s.name             = 'WebIdAutoIdentOnDeviceProductPlugin'
  s.version          = '14.2.0-SNAPSHOT'
  s.summary          = 'The WebID auto-ident on-device product-plugin for iOS.'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdAutoIdentOnDeviceProductPlugin/14.2.0/WebIdAutoIdentOnDeviceProductPlugin.framework-v14.2.0-SNAPSHOT-1239.zip', :sha256 => 'b273fe3b95b5cadb4ba368b1b8ac8a6a5a2e22dd984693eeb980373e08fb4a05' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdAutoIdentOnDeviceProductPlugin.xcframework'

  s.dependency "DocumentReader", "~> 7.2"
  s.dependency "RegulaCommon", "~> 7.2"
  s.dependency "WebIdDigitalSigningPlugin", "12.1.1-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdIosIdentScanPlugin", "13.0.0-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdOnDeviceDocumentScanner", "13.0.0-SNAPSHOT" #branch:redesign-v4-snapshots
end
